#include "xgputexturesizestack2d.h"

XGpuTextureSizeStack2D::XGpuTextureSizeStack2D()
    : XAsset()
    , mWidth(0)
    , mHeight(0)
{
    SetName("GPU Texture Size Stack 2D");
}

void XGpuTextureSizeStack2D::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGpuTextureSizeStack2D::ParseData
}

void XGpuTextureSizeStack2D::Clear()
{
    mWidth = 0;
    mHeight = 0;
}
